i2o_pci_probe
Prev | I2O message devices | Next

## Name

i2o_pci_probe — Probe the PCI device for an I2O controller

## Synopsis

`int i2o_pci_probe (` | struct pci_dev * | pdev,
| const struct pci_device_id * | id`)`;

## Arguments

`pdev`

  PCI device to test

`id`

  id which matched with the PCI device id table

## Description

Probe the PCI device for any device which is a memory of the Intelligent, I2O class or an Adaptec Zero Channel Controller. We attempt to set up each such device and register it with the core.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_pci_irq_disable | Home | i2o_pci_remove